Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
NetricsServerInterface.NetricsErrorItem Class Reference

Hold and provide access to detailed error information. More...

## Public Member Functions
int | getItemType ()
| Returns the type of the error item, one of NetricsErrorItem.TYPE_*.
int | getTranId ()
| Obsolete. Use getTransactionId to obtain the full 64-bit id.
long | getTransactionId ()
| Returns the transaction id.
String | getDetailsMsg ()
| Return the error details message.

## Static Public Attributes
const int | TYPE_NULL = 0
| Indicates this error item contains no information.
const int | TYPE_UNKNOWN = 1
| Indicates this error item contains uncategorized information.
const int | TYPE_TRANID = 2
| Indicates this error item contains a transaction id.

## Detailed Description

Hold and provide access to detailed error information.

These objects are generated by NetricsException objects. For known error item types this provides a means of accessing parsed out items from the detailed information. Which information items are available depends on the error item type.

## Member Function Documentation

## ◆ getDetailsMsg()

String NetricsServerInterface.NetricsErrorItem.getDetailsMsg | ( |  | ) |
| inline

Return the error details message.

If this error item contains an error details message this returns the message. Otherwise it returns null. This is valid for all error item types.

A detailed error message is returned by many different error cases. The message may be important in helping to debug the cause of an error. When contacting support about an error any detailed error message in the exception should be reported.

## ◆ getItemType()

int NetricsServerInterface.NetricsErrorItem.getItemType | ( |  | ) |
| inline

Returns the type of the error item, one of NetricsErrorItem.TYPE_*.

The type of the error item will determine which access methods are valid.

## ◆ getTranId()

int NetricsServerInterface.NetricsErrorItem.getTranId | ( |  | ) |
| inline

Obsolete. Use getTransactionId to obtain the full 64-bit id.

This is valid only for TYPE_TRANID. If this is not a TYPE_TRANID error item an InvalidOperationException is thrown.

## ◆ getTransactionId()

long NetricsServerInterface.NetricsErrorItem.getTransactionId | ( |  | ) |
| inline

Returns the transaction id.

This is valid only for TYPE_TRANID. If this is not a TYPE_TRANID error item an InvalidOperationException is thrown.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.